using System;

namespace TakmicenjeDva
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] linija = Console.ReadLine().Split();
            int n = Convert.ToInt32(linija[0]);
            int k = Convert.ToInt32(linija[1]);
            linija = Console.ReadLine().Split();
            int[] niz = new int[n];
            for(int i=0;i<n;i++)
            {
                niz[i] = Convert.ToInt32(linija[i]);
            }
            if (niz[n - 1] == k) Console.WriteLine(niz[0]);
            else
            {
                for (int i = 0; i < n; i++)
                {
                    if (niz[i] == k)
                    {
                        Console.WriteLine(niz[i + 1]);
                        break;
                    }
                }
            }

        }
    }
}